﻿using System.Windows.Controls;

namespace SilverlightSIPClient
{
    public partial class NumPad : UserControl
    {
        public MainPage owner;

        public NumPad()
        {
            InitializeComponent();
        }

        private void Btn_PickUp(object sender, System.Windows.RoutedEventArgs e)
        {
            owner.PickUp();
        }

        private void Btn_HangUP(object sender, System.Windows.RoutedEventArgs e)
        {
            owner.HangUp();
        }

        private void Button_KeypadClick(object sender, System.Windows.RoutedEventArgs e)
        {
            var btn = (Button)sender;
            var id = int.Parse((string)btn.Tag);

            switch (id)
            {
                case 10:
                    owner.CallNumber += "*";
                    break;
                case 11:
                    owner.CallNumber += "#";
                    break;
                default:
                    owner.CallNumber += id.ToString();
                    break;
            }

            owner.BtnMouseLeftDown(int.Parse((string)btn.Tag));
        }

        private void ButtonEx_MouseLeftButtonUpEx(object sender, System.EventArgs e)
        {
            var btn = (Button)sender;
            owner.BtnMouseLeftUp(int.Parse((string)btn.Tag));
        }
    }
}
